/** @file   ex047.c Beispielprogramm fuer persistente Variable in Funktion.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>

/**	Funktionseigene Variable erhoehen und zurueckgeben.
	@return	Neuer Variablen-Wert.
*/
int increment(void);

int
main(void)
{
    int		i;	/* Schleifenzaehler */
    int		k;	/* Ergebnis von increment */

    for(i = 10; i < 20; i++) {
        k = increment();
        printf("%d\n", k);
    }

    return 0;
}

int
increment(void)
{
    static int	wert	= 125;	/* Interne Variable der Funktion */
    wert++;
    return wert;
}

/* vim: set ai sw=4 ts=4 expandtab : */
