/** @file   ex062.c Beispielprogramm fuer Kopieren und Bearbeiten von Strings.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#ifdef _WIN32
#define _CRT_SECURE_NO_WARNINGS 1
#endif

#include <stdio.h>
#include <string.h>
#include <ctype.h>

/** Original-Text.
*/
char const orig_text[] = { "Umwandeln von GROSSBUCHSTABEN in kleine." };

/** Hauptprogramm.
        @return 0 bei Erfolg.
*/
int
main(void)
{
    char buf[128];    /* Puffer fuer Kopieren und Bearbeitung */

    /* Original-Text in Puffer kopieren */
    if(sizeof(buf) > strlen(orig_text)) {
        strcpy(buf, orig_text);

        /* Ausgabe Original-Text */
        printf("Original-Text: \"%s\"\n", buf);

        /* Umwandeln in Kleinbuchstaben und Ausgabe */
        ???
        printf("Kleinbuchstaben: \"%s\"\n", buf);

        /* Umwandeln in Grossbuchstaben und Ausgabe */
        ???
        printf("Grossbuchstaben: \"%s\"\n", buf);
    }
    else {
        printf("FEHLER: Ziel-Puffer zu klein!\n");
    }
    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
