/** @file   he-longso.c Long zu String konvertieren.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#define	_CRT_SECURE_NO_WARNINGS	1
#define	_USE_MATH_DEFINES		1

#include <stdio.h>
#include <string.h>

#include "he-pause.h"

void
hsm_et_pause(const char *prompt)
{
	char	buffer[256];			/* Puffer zum Zeile-Einlesen */
	size_t	lgt				=	0;	/* Laenge des Prompt-Textes */

	if (NULL != prompt) {
		lgt = strlen(prompt);
	}
	if (0 < lgt) {
		fputs(prompt, stdout);
		if ('\n' != prompt[lgt - 1]) {
			fputc('\n', stdout);
		}
	}
	fputs("Programm angehalten.", stdout);
	fputs(" Zum Fortsetzen druecken Sie bitte die ENTER-Taste!\n", stdout);
	fflush(stdout);
	(void)fgets(buffer, sizeof(buffer), stdin);
}


/* vim: set ai sw=4 ts=4 : */
