
/**	@file	triangle.h	Triangle area calculation.
*/

#ifndef TRIANGLE_H_INCLUDED
#define TRIANGLE_H_INCLUDED 1

#ifdef __cplusplus
exter "C" {
#endif

/**	Calculate triangle area.
	@param	a	First side length.
	@param	b	Second side length.
	@param	c	Third side length.
	@return	Positive value on success, negative on error.
*/
double
triangleArea(double a, double b, double c);

#ifdef __cplusplus
}
#endif

#endif

