/** @file ex022.c   Beispielprogramm fuer Zugriff auf Feldelemente.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>


/** Anzahl der Elemente in den Feldern.
*/
enum { ANZAHL = 10 };


/** Erstes konstantes Datenfeld (Elemente koennen nicht
    geaendert werden), initialisiert mit Werten.
*/
static const int feld_1[ANZAHL] = {
    1,    53,   865,     7,     9,   111,    13,   -15,     17,   819 
};


/** Zweites konstantes Datenfeld, initialisiert mit Werten.
*/
static const int feld_2[ANZAHL] = {
    200,   954,     6,   888,  1210,    12,   114,    16,  -8818,  2000
};


/** Hauptprogramm.
    @return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
    int   summe[ANZAHL];  /* Feld fuer Summen */
    int   diff[ANZAHL];   /* Feld fuer Differenzen */

    /* Daten in den Feldern feld_1 und feld_2 anzeigen */
    printf("Inhalt von feld_1:\n");
    for(???) {
        ???
    }

    printf("Inhalt von feld_2:\n");
    for(???) {
        ???
    }

    /* Berechnung der Summen und Differenzen */
    for(???) {
        summe???
        diff???
    }

    /* Daten in den Feldern summe und diff anzeigen */
    printf("Inhalt von Feld summe:\n");
    for(???) {
        ???
    }

    printf("Inhalt von Feld diff:\n");
    for(???) {
        ???
    }

    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
