/** @file   ex061.c Beispielprogramm fuer Zeichenketten-Vergleich.

        Muss mit den Modulen he-read.c und he-strch.c gelinkt werden.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>
#include <string.h>

#include "he-read.h"

/** Hauptprogramm.
        @return 0 bei Erfolg.
*/
int
main(void)
{
    char str1[128];   /* Erster gelesener String */
    char str2[128];   /* Zweiter gelesener String */
    char buf[128];    /* Temporaerer Puffer */
    int  res;         /* Ergebnis von strcmp */
    if(hsm_et_read_string("Erstes Wort: ", str1, buf, sizeof(str1))) {
        if(hsm_et_read_string("Zweites Wort: ", str2, buf, sizeof(str2))) {
            res = strcmp(???);
            if(res ???) {
                printf("%s,%s\n", str1, str2);
            }
            else {
                printf("%s,%s\n", str2, str1);
            }
        }
    }
    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
