/** @file   ex063.c Beispielprogramm fuer String-Kopieren mit Limit.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#ifdef _WIN32
#define _CRT_SECURE_NO_WARNINGS 1
#endif

#include <stdio.h>
#include <string.h>

/** Definition eines Zeigers auf ein konstantes Wort. */
typedef char const * PCHAR;

/** Puffer, in den die Wortanfaenge kopiert werden. */
char feld[6];

/** Original-Woerter. */
char const * const woerter[] = {
    "Eisentor",
    "Besenstiel",
    "Faustkeil",
    "Lichtschalter"
};

/** Anzahl der Elemente im Feld woerter. */
static size_t const sz_woerter = sizeof(woerter)/sizeof(PCHAR);

/** Hauptprogramm.
        @return 0 bei Erfolg.
*/
int
main(void)
{ 
    size_t		i;	/* Index des aktuellen Wortes */

    for(i = 0; i < sz_woerter; i++) {
        /* Wort i in feld kopieren, dabei kuerzen. Funktion strncpy() nutzen. */
        ???

        /* Sicherstellen, dass String in feld mit Nullbyte abgeschlossen ist. */
        ???

        /* Inhalt von feld ausgeben */
        printf("Eintrag %u: \"%s\"\n", (unsigned)i, ???);
    }
    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
