/** @file ex051.c Demoprogramm fuer Datenstrukturen.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>
#include <math.h>

/**	Ein geometrischer Punkt.
*/
struct PUNKT {
	double	x;	/**< X-Koordinate. */
	double	y;	/**< Y-Koordinate. */
};

/**	Eine Linie.
*/
struct LINIE {
	struct PUNKT	P0;	/**< Anfangspunkt. */
	struct PUNKT	P1;	/**< Endpunkt. */
};

int
main(void)
{
	struct LINIE	linie;	/* Linie */
	double          dist;	/* Laenge der Strecke */

	/* Wertzuweisungen */
	linie.P0.x	=	0.5;	/* x-Wert Anfangspunkt */
	???	=	0.25;	/* y-Wert Anfangspunkt */
	???	=	5.0;	/* x-Wert Endpunkt */
	???	=	3.0;	/* y-Wert Endpunkt */

	/* Laengenberechnung */
	dist = sqrt( (??? - ???)*(??? - ???) + (??? - ???)*(??? - ???) );

	/* Ausgabe */
	printf("Streckenlaenge: %lg\n", dist);

	return 0;
}

/* vim: set ai sw=4 ts=4 : */
