/**	@file	ex078.c	Beispiele fuer Ausgabe mit verschiedenen Platzhaltern.
*/

#include <stdio.h>
#include <math.h>

int
main(void)
{
	int		i, j;	/* Zwei int-Zahlen */
	double	x, y;	/* Zwei double-Zahlen */

	i = -1;
	j = 10000;
	x = -1.0  * sqrt(2.0);
	y = 1.0e10 * sqrt(2.0);

	printf("Ausgabe der int-Werte\n\n");

	printf("%s\n", "Ausgabe mit ...%d...   ...%d...");
	printf("...%d...   ...%d...\n\n", i, j);

	printf("%s\n", "Ausgabe mit ...%4d...   ...%4d...");
	printf("...%4d...   ...%4d...\n\n", i, j);

	printf("%s\n", "Ausgabe mit ...%6d...   ...%6d...");
	printf("...%6d...   ...%6d...\n\n", i, j);

	printf("%s\n", "Ausgabe mit ...%06d...   ...%06d...");
	printf("...%06d...   ...%06d...\n\n", i, j);

	printf("%s\n", "Ausgabe mit ...%+6d...   ...%+6d...");
	printf("...%+6d...   ...%+6d...\n\n", i, j);

	printf("%s\n", "Ausgabe mit ...%+06d...   ...%+06d...");
	printf("...%+06d...   ...%+06d...\n\n", i, j);

	printf("%s\n", "Ausgabe mit ...%-6d...   ...%-6d...");
	printf("...%-6d...   ...%-6d...\n\n", i, j);

	printf("Ausgabe der double-Werte\n\n");

	printf("%s\n", "Ausgabe mit ...%e...   ...%e...");
	printf("...%e...   ...%e...\n\n", x, y);

	printf("%s\n", "Ausgabe mit ...%f...   ...%f...");
	printf("...%f...   ...%f...\n\n", x, y);

	printf("%s\n", "Ausgabe mit ...%g...   ...%g...");
	printf("...%g...   ...%g...\n\n", x, y);

	printf("%s\n", "Ausgabe mit ...%.3e...   ...%.3e...");
	printf("...%.3e...   ...%.3e...\n\n", x, y);

	printf("%s\n", "Ausgabe mit ...%.3f...   ...%.3f...");
	printf("...%.3f...   ...%.3f...\n\n", x, y);

	printf("%s\n", "Ausgabe mit ...%.3g...   ...%.3g...");
	printf("...%.3g...   ...%.3g...\n\n", x, y);

	return 0;
}

/* vim: set ai sw=4 ts=4 : */
